<!DOCTYPE html>
<html>
    <head>
        <title>Frp Directory Manage</title>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <!-- 防止双击屏幕的时候页面放大问题 -->
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
        <!-- 隐藏地址栏 -->
        <meta name='apple-mobile-web-app-capable' content='yes' />
        <meta name='full-screen' content='true' />
        <meta name='x5-fullscreen' content='true' />
        <meta name='360-fullscreen' content='true' />
        <meta content="text/html; charset=utf-8" http-equiv="content-type" />
        <script src="/js/ajax.js"></script>
        <script src="/js/element.js"></script>
        <script src="/js/hotkey.js"></script>
        <script src="/js/upload.js"></script>
        <script type="text/javascript" src="/js/global.js"></script>        
        <script type="text/javascript" src="/js/qrcodejs/jquery.min.js"></script>
        <script type="text/javascript" src="/js/qrcodejs/qrcode.js"></script>
        <script type="text/javascript" src="/js/cookies.js"></script>        
        <script type="text/javascript" src="/js/share.js"></script>        
        <script type="text/javascript" src="/js/filelist.js"></script>        
        <link rel="stylesheet" href="/css/public.css">
    </head>
    <body>
        <div style="display:none" id="hdivStyle"></div>
        <script type="text/javascript" >
            try{
                var el = document.createElement('div');
                el.style.fontSize='1rem';
            }catch(e){
                document.write("<style>*{font-size:12px}</style>");
                ajax({
                    'url':'/css/public.css'
                    ,'success':function(e){
                        var mc = (e+'').match(/[\d+\.]+\s*rem/gi);
                        if(!mc)return;
                        for(var i=0; i<mc.length; i++){
                            var m =/([\d\.]+)\s*rem/gi.exec(mc[i]);
                            if(!m)continue;
                            e=e.replace(m[0], (m[1]*100).toFixed(1)+'px');
                        }
                        hdivStyle.innerHTML = "<style>"+e+"</style>";
                    }
                });
            }
			function dateFormate(tpl, date){
				date=date?date:new Date();
				if( !(date instanceof Date) ){return ;}
				if(!tpl)return null;
				var o = {   
				"M+" : date.getMonth()+1,                 //月份   
				"d+" : date.getDate(),                    //日   
				"h+" : date.getHours(),                   //小时   
				"m+|i+" : date.getMinutes(),                 //分   
				"s+" : date.getSeconds(),                 //秒   
				"q+" : Math.floor((date.getMonth()+3)/3), //季度   
				"S"  : date.getMilliseconds()             //毫秒   
				};   
				if(/(y+)/.test(tpl))   
				tpl=tpl.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length));   
				for(var k in o)   
				if( new RegExp("("+ k +")").test(tpl) )
				tpl = tpl.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));   
				return tpl;				
			}
        </script>        
        <section>
            <div class="tophead">
                <div class="block"></div>
                <div class="flt">
            <h1>Welcome!</h1>
            <p style="overflow: hidden;">
                <a id="haUpload" href="javascript:void(0);"><span style="">&#8673;</span>Upload</a>
                <a id="haMkdir" href="javascript:void(0);"><span style="">&#164;</span>Mkir</a>
                <a id="haMkfile" href="javascript:void(0);"><span style="">&#164;</span>Touch</a>
                <a id="haView" href="javascript:void(0)"><span style="">&#x2600;</span>View</a>
                <a id="haLock" href="javascript:void(0)"><span style="">&#x2205;</span>Share</a>

                <a id="haOperater" style="float:right" href="javascript:void(0)"><span style="">&#x270e;</span>Operater</a>
                <a id="haSort" style="float:right" href="javascript:void(0)"><span style="">&#x21c5;</span>Sort:<span id="hspnSort">filename</span></a>
            </p>
            <script>
               var haUpload = document.getElementById("haUpload");
               haUpload.onclick=function(){ upload.on("/upload.php?p="+ encodeURIComponent(location.pathname));  }

               haMkdir.onclick=function(){ 
                   var p=prompt("new folder name is:", "New Folder");
                   if(!p)return;
                   p=p.replace(/\s*(.*)\s*/gi, "$1");
                   if(p.length<1)return;
                   ajax({
                       "url" : "/upload.php?act=mkdir&p=" + encodeURIComponent(location.pathname+"/"+ p)
                       ,"success" : function(e){alert(e); }
                   });
               }
               haMkfile.onclick=function(){ 
                   var p=prompt("new file name is:", "NewEmptyFile-"+dateFormate("yyyyMMddhhmmss")+'.md');
                   if(!p)return;
                   p=p.replace(/\s*(.*)\s*/gi, "$1");
                   if(p.length<1)return;
                   ajax({
                       "url" : "/index.php?act=touch&f=" + encodeURIComponent(location.pathname+"/"+ p)
                       ,"success" : function(e){ alert(e); }
                   });
               }
               haOperater.onclick=function(){
                   var val = cookies.get('operater');
                   cookies.set('operater', val=="1"?0:1);
                   location.reload();
               }
               haView.onclick=function(){
                   var t = cookies.get('view')*1+1
                   if(t>1)t=0;
                   cookies.set('view', t);
                   location.reload();
               } 
               haLock.onclick=function(){ Share(location.pathname);} 
               haSort.onclick=function(){
                   var t = cookies.get('sort')*1+1
                   var st=["filename", "-filename", "mtime", "-mtime", "size", "-size"]; 
                   if(t>=st.length)t=0;
                   cookies.set('sort', t);
                   cookies.set('sort_name', st[t]);
                   location.reload();
               } 
                hspnSort.innerHTML =  cookies.get('sort_name');
              var path = location.pathname.replace(/(.+?)\/?$/gi, "$1");
              var mc = (path+'').match(/[^\/\\]+/gi);
               var lpath='Index Of ';
              if(mc){
                  var p ='';
                  for(var i=0; i<mc.length; i++){
                      var m = mc[i];
                      p+="/"+m;
                      lpath += "/<a href=\""+p+"\" title=\""+m+"\">";
                      m = decodeURIComponent(m);
                      if(m.length<10)
                          lpath += m;
                      else
                          lpath += m.substr(0, 3) + "..." + m.substr(m.length-3, 3);
                      lpath += "</a>";
                  }
              }
              var htit = window.document.getElementsByTagName("h1")[0];
              htit.innerHTML = lpath;
            </script>
            <hr />
            </div>
            </div>
            <div id="hdivlst">
                <div style="height:35px">
                    <div class="loading"></div>
                </div>
                <script type="text/javascript">
                    new FileList(path, document.all('hdivlst'));
                </script>
            </div>  
        </section>
        <footer>
            <hr />
            <div>Copyright @ 39doo.com</div>
            <div>Email:rimke@163.com website:39doo.com</div>
        </footer>
        <script type="text/javascript" src="/js/menu.js"></script>        
    </body>    
    <script type="text/javascript">
        upload.bind(document.all('hdivlst'), "/upload.php?p="+encodeURIComponent(location.pathname));

        // HotKey.add(27, function(){ window.history.go(-1); });
        HotKey.add(8, function(){ window.history.go(-1); });
        var tid = null, keyword='', lidx=-1;
        HotKey.add("keyup:-1", function(){ 
            if(tid)clearTimeout(tid);
            if(event.key.length>1)return;
            tid=setTimeout(function(){keyword='';lidx=-1;}, 300);
            keyword += event.key;
            lidx++;
            if(!selecta(keyword, lidx)){
                lidx = -1;
            }
        });
        function selecta(txt, idx){
            var hdivlst = document.all('hdivlst');
            var as = hdivlst.getElementsByTagName('A');
            for(var i=idx; i<as.length; i++){
                var a = as[i];
                var atxt = a.innerHTML.replace(/(\<[^\>]+\>)|(&[a-z0-9]+;)/gi, '');
                atxt=atxt.replace(/[^a-z0-9]+/gi, '');
                var re = new RegExp("^"+txt+".*", "gi");
                if(atxt.match(re) == null)continue;
                a.focus();
                return true;
            }
            return false;
        }

        function chgtitle(){
           var pretxt="";
            if(location.port != "80" && location.port != "")
                pretxt += location.port;
            else
                pretxt += location.hostname;
            document.title = pretxt + ' - ' +document.title;
        }
        chgtitle();
    </script>
    <!--[if lt IE 9]>
    <script type="text/javascript" src="/js/ltie9.js"></script>
    <![endif]-->
</html>
